%define name libtdb
%define version 1.0.6
%define release 5mdk

%define	major 1
%define libname	%mklibname tdb %{major}

Name:		%{name}
Summary:	TDB is a Trivial Database
Version:	%{version}
Release:	%{release}
Source0:	tdb-%{version}.tar.bz2
Patch0:		tdb-1.0.6-strings.patch.bz2
# http://sourceforge.net/tracker/index.php?func=detail&aid=646773&group_id=9569&atid=309569
Patch1:		tdb-1.0.6-646773.diff.bz2
Group:		System/Libraries
License:	GPL
URL:		http://sourceforge.net/projects/tdb
BuildRequires:	gdbm-devel
BuildRequires:	autoconf2.5
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
TDB is a Trivial Database. In concept, it is very much like GDBM, 
and BSD's DB except that it allows multiple simultaneous writers 
and uses locking internally to keep writers from trampling on 
each other. TDB is also extremely small.

%package -n	%{libname}
Summary:	TDB is a Trivial Database
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
TDB is a Trivial Database. In concept, it is very much like GDBM,
and BSD's DB except that it allows multiple simultaneous writers 
and uses locking internally to keep writers from trampling on each
other. TDB is also extremely small.

%package -n	%{libname}-devel
Summary:	Headers files of libtdb library
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	libtdb-devel = %{version}-%{release}

%description -n	%{libname}-devel
TDB is a Trivial Database. In concept, it is very much like GDBM,
and BSD's DB except that it allows multiple simultaneous writers
and uses locking internally to keep writers from trampling on each
other. TDB is also extremely small.

%package -n	tdb-utils
Summary:	Utilities using the %{libname} library
Group:		Databases
Requires:	%{libname} = %{version}-%{release}

%description -n	tdb-utils
Utilities using the %{libname} library.

%prep

%setup -q -n tdb-%{version}
%patch0 -p0
%patch1 -p1

%build

%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# install extras
install -m755 tdbiterate %{buildroot}%{_bindir}/
install -m755 tdbspeed %{buildroot}%{_bindir}/
install -m755 tdbtest %{buildroot}%{_bindir}/
install -m755 tdbtorture %{buildroot}%{_bindir}/

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr (-,root,root)
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr (-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*.h
%{_mandir}/man3/tdb*

%files -n tdb-utils
%defattr (-,root,root)
%{_bindir}/tdbdump
%{_bindir}/tdbtool
%{_bindir}/tdbiterate
%{_bindir}/tdbspeed
%{_bindir}/tdbtest
%{_bindir}/tdbtorture

%changelog
* Sun Jun 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.6-5mdk
- rebuilt against new deps and with gcc v3.4.x
- added P1
- fix deps

* Thu Jul 10 2003 Gtz Waschk <waschk@linux-mandrake.com>
- rebuild for new rpm

* Sun Jun 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.6-3mdk
- fix version

* Sun Jun 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.0.6-3mdk
- use macros
- added P0 by suse
- broke out the utilities into the tdb-utils sub package (like eg. db4-utils)
- misc spec file fixes

* Fri Dec 20 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0.6-2mdk
- fix Requires/Provides
- fix missing files

* Fri Sep 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-1mdk
- needed for new sweep
